maybe chmod 0644 'default/cron'
maybe chmod 0644 'default/cryptdisks'
maybe chmod 0644 'default/dbus'
+maybe chmod 0644 'default/ebtables'
maybe chmod 0644 'default/grub'
maybe chmod 0755 'default/grub.d'
maybe chmod 0644 'default/grub.d/50_linuxmint.cfg'
maybe chmod 0644 'emacs/site-start.d/00debian-vars.el'
maybe chmod 0644 'emacs/site-start.d/50autoconf.el'
maybe chmod 0644 'emacs/site-start.d/50dictionaries-common.el'
+maybe chmod 0644 'emacs/site-start.d/50figlet.el'
maybe chmod 0644 'emacs/site-start.d/50gtk-doc-tools.el'
maybe chmod 0644 'emacs/site-start.el'
maybe chmod 0644 'environment'
maybe chmod 0644 'etckeeper/update-ignore.d/README'
maybe chmod 0755 'etckeeper/vcs.d'
maybe chmod 0755 'etckeeper/vcs.d/50vcs-cmd'
+maybe chmod 0644 'ethertypes'
+maybe chmod 0644 'ffserver.conf'
maybe chmod 0755 'firefox'
maybe chmod 0755 'firefox/pref'
maybe chmod 0644 'firefox/pref/apturl.js'
maybe chmod 0644 'ghostscript/cidfmap.d/90gs-cjk-resource-korea1.conf'
maybe chmod 0755 'ghostscript/fontmap.d'
maybe chmod 0644 'ghostscript/fontmap.d/10gsfonts.conf'
+maybe chmod 0755 'gimp'
+maybe chmod 0755 'gimp/2.0'
+maybe chmod 0644 'gimp/2.0/controllerrc'
+maybe chmod 0644 'gimp/2.0/gimprc'
+maybe chmod 0644 'gimp/2.0/gtkrc'
+maybe chmod 0644 'gimp/2.0/menurc'
+maybe chmod 0644 'gimp/2.0/sessionrc'
+maybe chmod 0644 'gimp/2.0/templaterc'
+maybe chmod 0644 'gimp/2.0/unitrc'
maybe chmod 0644 'gitconfig'
maybe chmod 0755 'glvnd'
maybe chmod 0755 'glvnd/egl_vendor.d'
maybe chmod 0755 'init.d/cups-browsed'
maybe chmod 0755 'init.d/dbus'
maybe chmod 0755 'init.d/dns-clean'
+maybe chmod 0755 'init.d/ebtables'
maybe chmod 0755 'init.d/grub-common'
maybe chmod 0755 'init.d/hddtemp'
maybe chmod 0755 'init.d/hwclock.sh'
--- /dev/null
+/usr/bin/figlet-figlet
\ No newline at end of file
--- /dev/null
+/usr/share/man/man6/figlet-figlet.6.gz
\ No newline at end of file
--- /dev/null
+# Unload modules on restart and stop
+# Value: yes|no, default: yes
+# This option has to be 'yes' to get to a sane state for a firewall
+# restart or stop. Only set to 'no' if there are problems unloading netfilter
+# modules.
+EBTABLES_MODULES_UNLOAD="yes"
+
+# Load firewall rules on system startup.
+# Value: yes|no, default: no
+# Restores the ebtables rulesets from the last saved state when the
+# system boots up.
+EBTABLES_LOAD_ON_START="no"
+
+# Save current firewall rules on stop.
+# Value: yes|no, default: no
+# Saves all firewall rules if firewall gets stopped
+# (e.g. on system shutdown).
+EBTABLES_SAVE_ON_STOP="no"
+
+# Save current firewall rules on restart.
+# Value: yes|no, default: no
+# Saves all firewall rules if firewall gets restarted.
+EBTABLES_SAVE_ON_RESTART="no"
+
+# Save (and restore) rule counters.
+# Value: yes|no, default: no
+# Save rule counters when saving a kernel table to a file. If the
+# rule counters were saved, they will be restored when restoring the table.
+EBTABLES_SAVE_COUNTER="no"
+
+# Backup suffix for ruleset save files.
+# Value: <string>, default: "~"
+# Keep one backup level of saved rules.
+# Set this variable to the empty string to disable backups.
+EBTABLES_BACKUP_SUFFIX="~"
--- /dev/null
+;;; 50figlet.el -- debian emacs setups for figlet
+
+(if (not (file-exists-p "/usr/share/emacs/site-lisp/figlet.el"))
+ (message "figlet removed but not purged, skipping setup")
+
+ (autoload 'figlet-message "figlet"
+ "Inserts large message of text in ASCII font into current buffer" t))
--- /dev/null
+#
+# Ethernet frame types
+# This file describes some of the various Ethernet
+# protocol types that are used on Ethernet networks.
+#
+# This list could be found on:
+# http://www.iana.org/assignments/ethernet-numbers
+#
+# <name> <hexnumber> <alias1>...<alias35> #Comment
+#
+IPv4 0800 ip ip4 # Internet IP (IPv4)
+X25 0805
+ARP 0806 ether-arp #
+FR_ARP 0808 # Frame Relay ARP [RFC1701]
+BPQ 08FF # G8BPQ AX.25 Ethernet Packet
+DEC 6000 # DEC Assigned proto
+DNA_DL 6001 # DEC DNA Dump/Load
+DNA_RC 6002 # DEC DNA Remote Console
+DNA_RT 6003 # DEC DNA Routing
+LAT 6004 # DEC LAT
+DIAG 6005 # DEC Diagnostics
+CUST 6006 # DEC Customer use
+SCA 6007 # DEC Systems Comms Arch
+TEB 6558 # Trans Ether Bridging [RFC1701]
+RAW_FR 6559 # Raw Frame Relay [RFC1701]
+AARP 80F3 # Appletalk AARP
+ATALK 809B # Appletalk
+802_1Q 8100 8021q 1q 802.1q dot1q # 802.1Q Virtual LAN tagged frame
+IPX 8137 # Novell IPX
+NetBEUI 8191 # NetBEUI
+IPv6 86DD ip6 # IP version 6
+PPP 880B # PPP
+ATMMPOA 884C # MultiProtocol over ATM
+PPP_DISC 8863 # PPPoE discovery messages
+PPP_SES 8864 # PPPoE session messages
+ATMFATE 8884 # Frame-based ATM Transport over Ethernet
+LOOP 9000 loopback # loop proto
--- /dev/null
+# Port on which the server is listening. You must select a different
+# port from your standard HTTP web server if it is running on the same
+# computer.
+HTTPPort 8090
+
+# Address on which the server is bound. Only useful if you have
+# several network interfaces.
+HTTPBindAddress 0.0.0.0
+
+# Number of simultaneous HTTP connections that can be handled. It has
+# to be defined *before* the MaxClients parameter, since it defines the
+# MaxClients maximum limit.
+MaxHTTPConnections 2000
+
+# Number of simultaneous requests that can be handled. Since FFServer
+# is very fast, it is more likely that you will want to leave this high
+# and use MaxBandwidth, below.
+MaxClients 1000
+
+# This the maximum amount of kbit/sec that you are prepared to
+# consume when streaming to clients.
+MaxBandwidth 1000
+
+# Access log file (uses standard Apache log file format)
+# '-' is the standard output.
+CustomLog -
+
+##################################################################
+# Definition of the live feeds. Each live feed contains one video
+# and/or audio sequence coming from an ffmpeg encoder or another
+# ffserver. This sequence may be encoded simultaneously with several
+# codecs at several resolutions.
+
+<Feed feed1.ffm>
+
+# You must use 'ffmpeg' to send a live feed to ffserver. In this
+# example, you can type:
+#
+# ffmpeg http://localhost:8090/feed1.ffm
+
+# ffserver can also do time shifting. It means that it can stream any
+# previously recorded live stream. The request should contain:
+# "http://xxxx?date=[YYYY-MM-DDT][[HH:]MM:]SS[.m...]".You must specify
+# a path where the feed is stored on disk. You also specify the
+# maximum size of the feed, where zero means unlimited. Default:
+# File=/tmp/feed_name.ffm FileMaxSize=5M
+File /tmp/feed1.ffm
+FileMaxSize 200K
+
+# You could specify
+# ReadOnlyFile /saved/specialvideo.ffm
+# This marks the file as readonly and it will not be deleted or updated.
+
+# Specify launch in order to start ffmpeg automatically.
+# First ffmpeg must be defined with an appropriate path if needed,
+# after that options can follow, but avoid adding the http:// field
+#Launch ffmpeg
+
+# Only allow connections from localhost to the feed.
+ACL allow 127.0.0.1
+
+</Feed>
+
+
+##################################################################
+# Now you can define each stream which will be generated from the
+# original audio and video stream. Each format has a filename (here
+# 'test1.mpg'). FFServer will send this stream when answering a
+# request containing this filename.
+
+<Stream test1.mpg>
+
+# coming from live feed 'feed1'
+Feed feed1.ffm
+
+# Format of the stream : you can choose among:
+# mpeg : MPEG-1 multiplexed video and audio
+# mpegvideo : only MPEG-1 video
+# mp2 : MPEG-2 audio (use AudioCodec to select layer 2 and 3 codec)
+# ogg : Ogg format (Vorbis audio codec)
+# rm : RealNetworks-compatible stream. Multiplexed audio and video.
+# ra : RealNetworks-compatible stream. Audio only.
+# mpjpeg : Multipart JPEG (works with Netscape without any plugin)
+# jpeg : Generate a single JPEG image.
+# mjpeg : Generate a M-JPEG stream.
+# asf : ASF compatible streaming (Windows Media Player format).
+# swf : Macromedia Flash compatible stream
+# avi : AVI format (MPEG-4 video, MPEG audio sound)
+Format mpeg
+
+# Bitrate for the audio stream. Codecs usually support only a few
+# different bitrates.
+AudioBitRate 32
+
+# Number of audio channels: 1 = mono, 2 = stereo
+AudioChannels 1
+
+# Sampling frequency for audio. When using low bitrates, you should
+# lower this frequency to 22050 or 11025. The supported frequencies
+# depend on the selected audio codec.
+AudioSampleRate 44100
+
+# Bitrate for the video stream
+VideoBitRate 64
+
+# Ratecontrol buffer size
+VideoBufferSize 40
+
+# Number of frames per second
+VideoFrameRate 3
+
+# Size of the video frame: WxH (default: 160x128)
+# The following abbreviations are defined: sqcif, qcif, cif, 4cif, qqvga,
+# qvga, vga, svga, xga, uxga, qxga, sxga, qsxga, hsxga, wvga, wxga, wsxga,
+# wuxga, woxga, wqsxga, wquxga, whsxga, whuxga, cga, ega, hd480, hd720,
+# hd1080
+VideoSize 160x128
+
+# Transmit only intra frames (useful for low bitrates, but kills frame rate).
+#VideoIntraOnly
+
+# If non-intra only, an intra frame is transmitted every VideoGopSize
+# frames. Video synchronization can only begin at an intra frame.
+VideoGopSize 12
+
+# More MPEG-4 parameters
+# VideoHighQuality
+# Video4MotionVector
+
+# Choose your codecs:
+#AudioCodec mp2
+#VideoCodec mpeg1video
+
+# Suppress audio
+#NoAudio
+
+# Suppress video
+#NoVideo
+
+#VideoQMin 3
+#VideoQMax 31
+
+# Set this to the number of seconds backwards in time to start. Note that
+# most players will buffer 5-10 seconds of video, and also you need to allow
+# for a keyframe to appear in the data stream.
+#Preroll 15
+
+# ACL:
+
+# You can allow ranges of addresses (or single addresses)
+#ACL ALLOW <first address> <last address>
+
+# You can deny ranges of addresses (or single addresses)
+#ACL DENY <first address> <last address>
+
+# You can repeat the ACL allow/deny as often as you like. It is on a per
+# stream basis. The first match defines the action. If there are no matches,
+# then the default is the inverse of the last ACL statement.
+#
+# Thus 'ACL allow localhost' only allows access from localhost.
+# 'ACL deny 1.0.0.0 1.255.255.255' would deny the whole of network 1 and
+# allow everybody else.
+
+</Stream>
+
+
+##################################################################
+# Example streams
+
+
+# Multipart JPEG
+
+#<Stream test.mjpg>
+#Feed feed1.ffm
+#Format mpjpeg
+#VideoFrameRate 2
+#VideoIntraOnly
+#NoAudio
+#Strict -1
+#</Stream>
+
+
+# Single JPEG
+
+#<Stream test.jpg>
+#Feed feed1.ffm
+#Format jpeg
+#VideoFrameRate 2
+#VideoIntraOnly
+##VideoSize 352x240
+#NoAudio
+#Strict -1
+#</Stream>
+
+
+# Flash
+
+#<Stream test.swf>
+#Feed feed1.ffm
+#Format swf
+#VideoFrameRate 2
+#VideoIntraOnly
+#NoAudio
+#</Stream>
+
+
+# ASF compatible
+
+<Stream test.asf>
+Feed feed1.ffm
+Format asf
+VideoFrameRate 15
+VideoSize 352x240
+VideoBitRate 256
+VideoBufferSize 40
+VideoGopSize 30
+AudioBitRate 64
+StartSendOnKey
+</Stream>
+
+
+# MP3 audio
+
+#<Stream test.mp3>
+#Feed feed1.ffm
+#Format mp2
+#AudioCodec mp3
+#AudioBitRate 64
+#AudioChannels 1
+#AudioSampleRate 44100
+#NoVideo
+#</Stream>
+
+
+# Ogg Vorbis audio
+
+#<Stream test.ogg>
+#Feed feed1.ffm
+#Metadata title "Stream title"
+#AudioBitRate 64
+#AudioChannels 2
+#AudioSampleRate 44100
+#NoVideo
+#</Stream>
+
+
+# Real with audio only at 32 kbits
+
+#<Stream test.ra>
+#Feed feed1.ffm
+#Format rm
+#AudioBitRate 32
+#NoVideo
+#NoAudio
+#</Stream>
+
+
+# Real with audio and video at 64 kbits
+
+#<Stream test.rm>
+#Feed feed1.ffm
+#Format rm
+#AudioBitRate 32
+#VideoBitRate 128
+#VideoFrameRate 25
+#VideoGopSize 25
+#NoAudio
+#</Stream>
+
+
+##################################################################
+# A stream coming from a file: you only need to set the input
+# filename and optionally a new format. Supported conversions:
+# AVI -> ASF
+
+#<Stream file.rm>
+#File "/usr/local/httpd/htdocs/tlive.rm"
+#NoAudio
+#</Stream>
+
+#<Stream file.asf>
+#File "/usr/local/httpd/htdocs/test.asf"
+#NoAudio
+#Metadata author "Me"
+#Metadata copyright "Super MegaCorp"
+#Metadata title "Test stream from disk"
+#Metadata comment "Test comment"
+#</Stream>
+
+
+##################################################################
+# RTSP examples
+#
+# You can access this stream with the RTSP URL:
+# rtsp://localhost:5454/test1-rtsp.mpg
+#
+# A non-standard RTSP redirector is also created. Its URL is:
+# http://localhost:8090/test1-rtsp.rtsp
+
+#<Stream test1-rtsp.mpg>
+#Format rtp
+#File "/usr/local/httpd/htdocs/test1.mpg"
+#</Stream>
+
+
+# Transcode an incoming live feed to another live feed,
+# using libx264 and video presets
+
+#<Stream live.h264>
+#Format rtp
+#Feed feed1.ffm
+#VideoCodec libx264
+#VideoFrameRate 24
+#VideoBitRate 100
+#VideoSize 480x272
+#AVPresetVideo default
+#AVPresetVideo baseline
+#AVOptionVideo flags +global_header
+#
+#AudioCodec aac
+#AudioBitRate 32
+#AudioChannels 2
+#AudioSampleRate 22050
+#AVOptionAudio flags +global_header
+#</Stream>
+
+##################################################################
+# SDP/multicast examples
+#
+# If you want to send your stream in multicast, you must set the
+# multicast address with MulticastAddress. The port and the TTL can
+# also be set.
+#
+# An SDP file is automatically generated by ffserver by adding the
+# 'sdp' extension to the stream name (here
+# http://localhost:8090/test1-sdp.sdp). You should usually give this
+# file to your player to play the stream.
+#
+# The 'NoLoop' option can be used to avoid looping when the stream is
+# terminated.
+
+#<Stream test1-sdp.mpg>
+#Format rtp
+#File "/usr/local/httpd/htdocs/test1.mpg"
+#MulticastAddress 224.124.0.1
+#MulticastPort 5000
+#MulticastTTL 16
+#NoLoop
+#</Stream>
+
+
+##################################################################
+# Special streams
+
+# Server status
+
+<Stream stat.html>
+Format status
+
+# Only allow local people to get the status
+ACL allow localhost
+ACL allow 192.168.0.0 192.168.255.255
+
+#FaviconURL http://pond1.gladstonefamily.net:8080/favicon.ico
+</Stream>
+
+
+# Redirect index.html to the appropriate site
+
+<Redirect index.html>
+URL http://www.ffmpeg.org/
+</Redirect>
--- /dev/null
+# GIMP controllerrc
+
+(GimpControllerInfo "Main Mouse Wheel"
+ (enabled yes)
+ (debug-events no)
+ (controller "GimpControllerWheel")
+ (mapping
+ (map "scroll-up-alt" "tools-value-1-increase-skip")
+ (map "scroll-down-alt" "tools-value-1-decrease-skip")
+ (map "scroll-up-control-alt" "context-gradient-select-next")
+ (map "scroll-down-control-alt" "context-gradient-select-previous")
+ (map "scroll-up-shift-alt" "context-pattern-select-next")
+ (map "scroll-down-shift-alt" "context-pattern-select-previous")
+ (map "scroll-up-shift-control" "context-brush-select-next")
+ (map "scroll-down-shift-control" "context-brush-select-previous")
+ (map "scroll-up-shift-control-alt" "context-font-select-next")
+ (map "scroll-down-shift-control-alt" "context-font-select-previous")))
+
+(GimpControllerInfo "Main Keyboard"
+ (enabled yes)
+ (debug-events no)
+ (controller "GimpControllerKeyboard")
+ (mapping
+ (map "cursor-up-shift" "view-scroll-page-up")
+ (map "cursor-down-shift" "view-scroll-page-down")
+ (map "cursor-left-shift" "view-scroll-page-left")
+ (map "cursor-right-shift" "view-scroll-page-right")
+ (map "cursor-up-control" "view-scroll-top-border")
+ (map "cursor-down-control" "view-scroll-bottom-border")
+ (map "cursor-left-control" "view-scroll-left-border")
+ (map "cursor-right-control" "view-scroll-right-border")
+ (map "cursor-up-alt" "tools-value-1-increase-skip")
+ (map "cursor-down-alt" "tools-value-1-decrease-skip")
+ (map "cursor-left-alt" "tools-value-1-decrease")
+ (map "cursor-right-alt" "tools-value-1-increase")))
+
+# (GimpControllerInfo "Linux Input Example"
+# (enabled yes)
+# (debug-events no)
+# (controller "ControllerLinuxInput"
+# (device "/dev/input/event2"))
+# (mapping
+# (map "wheel-turn-left" "tools-value-2-decrease")
+# (map "wheel-turn-right" "tools-value-2-increase")))
+
+# (GimpControllerInfo "Midi Example"
+# (enabled yes)
+# (debug-events no)
+# (controller "ControllerMidi"
+# (device "/dev/midi01")
+# (channel 0))
+# (mapping
+# (map "controller-000" "context-foreground-red-set")
+# (map "controller-001" "context-foreground-green-set")
+# (map "controller-002" "context-foreground-blue-set")
+# (map "controller-004" "context-background-red-set")
+# (map "controller-005" "context-background-green-set")
+# (map "controller-006" "context-background-blue-set")
+# (map "controller-008" "context-brush-radius-set")
+# (map "controller-009" "context-brush-hardness-set")
+# (map "controller-010" "context-brush-aspect-set")
+# (map "controller-011" "context-brush-angle-set")))
+
+# end of controllerrc
--- /dev/null
+# This is the system-wide gimprc file. Any change made in this file will
+# affect all users of this system, provided that they are not overriding the
+# default values in their personal gimprc file.
+#
+# Lines that start with a '#' are comments. Blank lines are ignored.
+#
+# By default everything in this file is commented out. The file then
+# documents the default values and shows what changes are possible.
+#
+# The variable ${gimp_dir} is set to the value of the environment variable
+# GIMP2_DIRECTORY or, if that is not set, the compiled-in default value is
+# used. If GIMP2_DIRECTORY is not an absolute path, it is interpreted
+# relative to your home directory.
+
+# Sets the folder for temporary storage. Files will appear here during the
+# course of running GIMP. Most files will disappear when GIMP exits, but
+# some files are likely to remain, so it is best if this folder not be one
+# that is shared by other users. This is a single folder.
+#
+# (temp-path "${gimp_dir}/tmp")
+
+# Sets the swap file location. GIMP uses a tile based memory allocation
+# scheme. The swap file is used to quickly and easily swap tiles out to disk
+# and back in. Be aware that the swap file can easily get very large if GIMP
+# is used with large images. Also, things can get horribly slow if the swap
+# file is created on a folder that is mounted over NFS. For these reasons,
+# it may be desirable to put your swap file in "/tmp". This is a single
+# folder.
+#
+# (swap-path "${gimp_dir}")
+
+# Sets how many processors GIMP should try to use simultaneously. This is an
+# integer value.
+#
+# (num-processors 1)
+
+# When the amount of pixel data exceeds this limit, GIMP will start to swap
+# tiles to disk. This is a lot slower but it makes it possible to work on
+# images that wouldn't fit into memory otherwise. If you have a lot of RAM,
+# you may want to set this to a higher value. The integer size can contain a
+# suffix of 'B', 'K', 'M' or 'G' which makes GIMP interpret the size as being
+# specified in bytes, kilobytes, megabytes or gigabytes. If no suffix is
+# specified the size defaults to being specified in kilobytes.
+#
+# (tile-cache-size 1421926k)
+
+# Specifies the language to use for the user interface. This is a string
+# value.
+#
+#
+
+# Sets the level of interpolation used for scaling and other transformations.
+# Possible values are none, linear, cubic and lanczos.
+#
+# (interpolation-type cubic)
+
+# Tools such as fuzzy-select and bucket fill find regions based on a
+# seed-fill algorithm. The seed fill starts at the initially selected pixel
+# and progresses in all directions until the difference of pixel intensity
+# from the original is greater than a specified threshold. This value
+# represents the default threshold. This is an integer value.
+#
+# (default-threshold 15)
+
+# Sets the plug-in search path. This is a colon-separated list of folders to
+# search.
+#
+# (plug-in-path "${gimp_dir}/plug-ins:${gimp_plug_in_dir}/plug-ins")
+
+# Sets the module search path. This is a colon-separated list of folders to
+# search.
+#
+# (module-path "${gimp_dir}/modules:${gimp_plug_in_dir}/modules")
+
+# Sets the interpreter search path. This is a colon-separated list of
+# folders to search.
+#
+# (interpreter-path "${gimp_dir}/interpreters:${gimp_plug_in_dir}/interpreters")
+
+# Sets the environ search path. This is a colon-separated list of folders to
+# search.
+#
+# (environ-path "${gimp_dir}/environ:${gimp_plug_in_dir}/environ")
+
+# Sets the brush search path. This is a colon-separated list of folders to
+# search.
+#
+# (brush-path "${gimp_dir}/brushes:${gimp_data_dir}/brushes")
+
+# This is a colon-separated list of folders to search.
+#
+# (brush-path-writable "${gimp_dir}/brushes")
+
+# Sets the dynamics search path. This is a colon-separated list of folders
+# to search.
+#
+# (dynamics-path "${gimp_dir}/dynamics:${gimp_data_dir}/dynamics")
+
+# This is a colon-separated list of folders to search.
+#
+# (dynamics-path-writable "${gimp_dir}/dynamics")
+
+# Sets the pattern search path. This is a colon-separated list of folders to
+# search.
+#
+# (pattern-path "${gimp_dir}/patterns:${gimp_data_dir}/patterns")
+
+# This is a colon-separated list of folders to search.
+#
+# (pattern-path-writable "${gimp_dir}/patterns")
+
+# Sets the palette search path. This is a colon-separated list of folders to
+# search.
+#
+# (palette-path "${gimp_dir}/palettes:${gimp_data_dir}/palettes")
+
+# This is a colon-separated list of folders to search.
+#
+# (palette-path-writable "${gimp_dir}/palettes")
+
+# Sets the gradient search path. This is a colon-separated list of folders
+# to search.
+#
+# (gradient-path "${gimp_dir}/gradients:${gimp_data_dir}/gradients")
+
+# This is a colon-separated list of folders to search.
+#
+# (gradient-path-writable "${gimp_dir}/gradients")
+
+# Sets the dynamics search path. This is a colon-separated list of folders
+# to search.
+#
+# (tool-preset-path "${gimp_dir}/tool-presets:${gimp_data_dir}/tool-presets")
+
+# This is a colon-separated list of folders to search.
+#
+# (tool-preset-path-writable "${gimp_dir}/tool-presets")
+
+# Where to look for fonts in addition to the system-wide installed fonts.
+# This is a colon-separated list of folders to search.
+#
+# (font-path "${gimp_dir}/fonts:${gimp_data_dir}/fonts")
+
+# Specify a default brush. The brush is searched for in the specified brush
+# path. This is a string value.
+#
+# (default-brush "Round Fuzzy")
+
+# Specify a default dynamics. The dynamics is searched for in the specified
+# dynamics path. This is a string value.
+#
+# (default-dynamics "Dynamics Off")
+
+# Specify a default pattern. This is a string value.
+#
+# (default-pattern "Pine")
+
+# Specify a default palette. This is a string value.
+#
+# (default-palette "Default")
+
+# Specify a default gradient. This is a string value.
+#
+# (default-gradient "FG to BG (RGB)")
+
+# Specify a default tool preset. The tool preset is searched for in the
+# specified tool prests path. This is a string value.
+#
+# (default-tool-preset "Current Options")
+
+# Specify a default font. This is a string value.
+#
+# (default-font "Sans")
+
+# When enabled, the selected brush will be used for all tools. Possible
+# values are yes and no.
+#
+# (global-brush yes)
+
+# When enabled, the selected dynamics will be used for all tools. Possible
+# values are yes and no.
+#
+# (global-dynamics yes)
+
+# When enabled, the selected pattern will be used for all tools. Possible
+# values are yes and no.
+#
+# (global-pattern yes)
+
+# When enabled, the selected palette will be used for all tools. Possible
+# values are yes and no.
+#
+# (global-palette yes)
+
+# When enabled, the selected gradient will be used for all tools. Possible
+# values are yes and no.
+#
+# (global-gradient yes)
+
+# When enabled, the selected font will be used for all tools. Possible
+# values are yes and no.
+#
+# (global-font yes)
+
+# Sets the default image in the "File/New" dialog. This is a parameter list.
+#
+# (default-image
+# (width 640)
+# (height 400)
+# (unit pixels)
+# (xresolution 72.000000)
+# (yresolution 72.000000)
+# (resolution-unit inches)
+# (image-type rgb)
+# (fill-type background-fill)
+# (comment "Created with GIMP"))
+
+# Specify a default image grid. This is a parameter list.
+#
+# (default-grid
+# (style solid)
+# (fgcolor (color-rgba 0.000000 0.000000 0.000000 1.000000))
+# (bgcolor (color-rgba 1.000000 1.000000 1.000000 1.000000))
+# (xspacing 10.000000)
+# (yspacing 10.000000)
+# (spacing-unit inches)
+# (xoffset 0.000000)
+# (yoffset 0.000000)
+# (offset-unit inches))
+
+# Sets the minimal number of operations that can be undone. More undo levels
+# are kept available until the undo-size limit is reached. This is an
+# integer value.
+#
+# (undo-levels 5)
+
+# Sets an upper limit to the memory that is used per image to keep operations
+# on the undo stack. Regardless of this setting, at least as many undo-levels
+# as configured can be undone. The integer size can contain a suffix of 'B',
+# 'K', 'M' or 'G' which makes GIMP interpret the size as being specified in
+# bytes, kilobytes, megabytes or gigabytes. If no suffix is specified the
+# size defaults to being specified in kilobytes.
+#
+# (undo-size 64M)
+
+# Sets the size of the previews in the Undo History. Possible values are
+# tiny, extra-small, small, medium, large, extra-large, huge, enormous and
+# gigantic.
+#
+# (undo-preview-size large)
+
+# How many recently used plug-ins to keep on the Filters menu. This is an
+# integer value.
+#
+# (plug-in-history-size 10)
+
+# Sets the pluginrc search path. This is a single filename.
+#
+# (pluginrc-path "${gimp_dir}/pluginrc")
+
+# Sets whether GIMP should create previews of layers and channels. Previews
+# in the layers and channels dialog are nice to have but they can slow things
+# down when working with large images. Possible values are yes and no.
+#
+# (layer-previews yes)
+
+# Sets the preview size used for layers and channel previews in newly created
+# dialogs. Possible values are tiny, extra-small, small, medium, large,
+# extra-large, huge, enormous and gigantic.
+#
+# (layer-preview-size medium)
+
+# Sets the size of the thumbnail shown in the Open dialog. Possible values
+# are none, normal and large.
+#
+# (thumbnail-size normal)
+
+# The thumbnail in the Open dialog will be automatically updated if the file
+# being previewed is smaller than the size set here. The integer size can
+# contain a suffix of 'B', 'K', 'M' or 'G' which makes GIMP interpret the
+# size as being specified in bytes, kilobytes, megabytes or gigabytes. If no
+# suffix is specified the size defaults to being specified in kilobytes.
+#
+# (thumbnail-filesize-limit 4M)
+
+# Defines the color management behavior. This is a parameter list.
+#
+# (color-management
+# (mode display)
+# (display-profile-from-gdk no)
+# (display-rendering-intent perceptual)
+# (simulation-rendering-intent perceptual)
+# (simulation-gamut-check no)
+# (out-of-gamut-color (color-rgb 0.501961 0.501961 0.501961))
+# (display-module "CdisplayLcms"))
+
+# How to handle embedded color profiles when opening a file. Possible values
+# are ask, keep and convert.
+#
+# (color-profile-policy ask)
+
+# Keep a permanent record of all opened and saved files in the Recent
+# Documents list. Possible values are yes and no.
+#
+# (save-document-history yes)
+
+# Sets the default quick mask color. The color is specified in the form
+# (color-rgba red green blue alpha) with channel values as floats in the
+# range of 0.0 to 1.0.
+#
+# (quick-mask-color (color-rgba 1.000000 0.000000 0.000000 0.500000))
+
+# Sets the size of the checkerboard used to display transparency. Possible
+# values are small-checks, medium-checks and large-checks.
+#
+# (transparency-size medium-checks)
+
+# Sets the manner in which transparency is displayed in images. Possible
+# values are light-checks, gray-checks, dark-checks, white-only, gray-only
+# and black-only.
+#
+# (transparency-type gray-checks)
+
+# This is the distance in pixels where Guide and Grid snapping activates.
+# This is an integer value.
+#
+# (snap-distance 8)
+
+# Speed of marching ants in the selection outline. This value is in
+# milliseconds (less time indicates faster marching). This is an integer
+# value.
+#
+# (marching-ants-speed 200)
+
+# When enabled, the image window will automatically resize itself when
+# zooming into and out of images. Possible values are yes and no.
+#
+# (resize-windows-on-zoom no)
+
+# When enabled, the image window will automatically resize itself whenever
+# the physical image size changes. Possible values are yes and no.
+#
+# (resize-windows-on-resize no)
+
+# When enabled, this will ensure that each pixel of an image gets mapped to a
+# pixel on the screen. Possible values are yes and no.
+#
+# (default-dot-for-dot yes)
+
+# When enabled, this will ensure that the full image is visible after a file
+# is opened, otherwise it will be displayed with a scale of 1:1. Possible
+# values are yes and no.
+#
+# (initial-zoom-to-fit yes)
+
+# When enabled, the X server is queried for the mouse's current position on
+# each motion event, rather than relying on the position hint. This means
+# painting with large brushes should be more accurate, but it may be slower.
+# Conversely, on some X servers enabling this option results in faster
+# painting. Possible values are yes and no.
+#
+# (perfect-mouse yes)
+
+# Sets the type of mouse pointers to use. Possible values are tool-icon,
+# tool-crosshair and crosshair.
+#
+# (cursor-mode tool-icon)
+
+# Context-dependent mouse pointers are helpful. They are enabled by default.
+# However, they require overhead that you may want to do without. Possible
+# values are yes and no.
+#
+# (cursor-updating yes)
+
+# When enabled, all paint tools will show a preview of the current brush's
+# outline. Possible values are yes and no.
+#
+# (show-brush-outline yes)
+
+# When enabled, the mouse pointer will be shown over the image while using a
+# paint tool. Possible values are yes and no.
+#
+# (show-paint-tool-cursor yes)
+
+# Sets the text to appear in image window titles. This is a format string;
+# certain % character sequences are recognised and expanded as follows:
+#
+# %% literal percent sign
+# %f bare filename, or "Untitled"
+# %F full path to file, or "Untitled"
+# %p PDB image id
+# %i view instance number
+# %t image type (RGB, grayscale, indexed)
+# %z zoom factor as a percentage
+# %s source scale factor
+# %d destination scale factor
+# %Dx expands to x if the image is dirty, the empty string otherwise
+# %Cx expands to x if the image is clean, the empty string otherwise
+# %B expands to (modified) if the image is dirty, the empty string otherwise
+# %A expands to (clean) if the image is clean, the empty string otherwise
+# %l the number of layers
+# %L the number of layers (long form)
+# %m memory used by the image
+# %n the name of the active layer/channel
+# %P the PDB id of the active layer/channel
+# %w image width in pixels
+# %W image width in real-world units
+# %h image height in pixels
+# %H image height in real-world units
+# %M the image size expressed in megapixels
+# %u unit symbol
+# %U unit abbreviation
+#
+#
+# (image-title-format "%D*%f-%p.%i (%t, %L) %wx%h")
+
+# Sets the text to appear in image window status bars. This is a format
+# string; certain % character sequences are recognised and expanded as
+# follows:
+#
+# %% literal percent sign
+# %f bare filename, or "Untitled"
+# %F full path to file, or "Untitled"
+# %p PDB image id
+# %i view instance number
+# %t image type (RGB, grayscale, indexed)
+# %z zoom factor as a percentage
+# %s source scale factor
+# %d destination scale factor
+# %Dx expands to x if the image is dirty, the empty string otherwise
+# %Cx expands to x if the image is clean, the empty string otherwise
+# %B expands to (modified) if the image is dirty, the empty string otherwise
+# %A expands to (clean) if the image is clean, the empty string otherwise
+# %l the number of layers
+# %L the number of layers (long form)
+# %m memory used by the image
+# %n the name of the active layer/channel
+# %P the PDB id of the active layer/channel
+# %w image width in pixels
+# %W image width in real-world units
+# %h image height in pixels
+# %H image height in real-world units
+# %M the image size expressed in megapixels
+# %u unit symbol
+# %U unit abbreviation
+#
+#
+# (image-status-format "%n (%m)")
+
+# Sets the monitor's horizontal resolution, in dots per inch. If set to 0,
+# forces the X server to be queried for both horizontal and vertical
+# resolution information. This is a float value.
+#
+# (monitor-xresolution 96.000000)
+
+# Sets the monitor's vertical resolution, in dots per inch. If set to 0,
+# forces the X server to be queried for both horizontal and vertical
+# resolution information. This is a float value.
+#
+# (monitor-yresolution 96.000000)
+
+# When enabled, GIMP will use the monitor resolution from the windowing
+# system. Possible values are yes and no.
+#
+# (monitor-resolution-from-windowing-system yes)
+
+# Sets the size of the navigation preview available in the lower right corner
+# of the image window. Possible values are tiny, extra-small, small, medium,
+# large, extra-large, huge, enormous and gigantic.
+#
+# (navigation-preview-size medium)
+
+# Sets the default settings for the image view. This is a parameter list.
+#
+# (default-view
+# (show-menubar yes)
+# (show-statusbar yes)
+# (show-rulers yes)
+# (show-scrollbars yes)
+# (show-selection yes)
+# (show-layer-boundary yes)
+# (show-guides yes)
+# (show-grid no)
+# (show-sample-points yes)
+# (padding-mode default)
+# (padding-color (color-rgb 1.000000 1.000000 1.000000)))
+
+# Sets the default settings used when an image is viewed in fullscreen mode.
+# This is a parameter list.
+#
+# (default-fullscreen-view
+# (show-menubar yes)
+# (show-statusbar yes)
+# (show-rulers yes)
+# (show-scrollbars yes)
+# (show-selection yes)
+# (show-layer-boundary yes)
+# (show-guides yes)
+# (show-grid no)
+# (show-sample-points yes)
+# (padding-mode default)
+# (padding-color (color-rgb 1.000000 1.000000 1.000000)))
+
+# Snap to guides by default in new image windows. Possible values are yes
+# and no.
+#
+# (default-snap-to-guides yes)
+
+# Snap to the grid by default in new image windows. Possible values are yes
+# and no.
+#
+# (default-snap-to-grid no)
+
+# Snap to the canvas edge by default in new image windows. Possible values
+# are yes and no.
+#
+# (default-snap-to-canvas no)
+
+# Snap to the active path by default in new image windows. Possible values
+# are yes and no.
+#
+# (default-snap-to-path no)
+
+# When enabled, an image will become the active image when its image window
+# receives the focus. This is useful for window managers using "click to
+# focus". Possible values are yes and no.
+#
+# (activate-on-focus yes)
+
+# What to do when the space bar is pressed in the image window. Possible
+# values are none, pan and move.
+#
+# (space-bar-action pan)
+
+# There's a tradeoff between speed and quality of the zoomed-out display.
+# Possible values are low and high.
+#
+# (zoom-quality high)
+
+# Bugs in event history buffer are frequent so in case of cursor offset
+# problems turning it off helps. Possible values are yes and no.
+#
+# (use-event-history no)
+
+# If enabled, the move tool sets the edited layer or path as active. This
+# used to be the default behaviour in older versions. Possible values are
+# yes and no.
+#
+# (move-tool-changes-active no)
+
+# How many recent settings to keep around in color correction tools This is
+# an integer value.
+#
+# (image-map-tool-max-recent 10)
+
+# When enabled, GIMP will not save an image if it has not been changed since
+# it was opened. Possible values are yes and no.
+#
+# (trust-dirty-flag no)
+
+# Remember the current tool, pattern, color, and brush across GIMP sessions.
+# Possible values are yes and no.
+#
+# (save-device-status no)
+
+# Save the positions and sizes of the main dialogs when GIMP exits. Possible
+# values are yes and no.
+#
+# (save-session-info yes)
+
+# Let GIMP try to restore your last saved session on each startup. Possible
+# values are yes and no.
+#
+# (restore-session yes)
+
+# Save the tool options when GIMP exits. Possible values are yes and no.
+#
+# (save-tool-options no)
+
+# Show a tooltip when the pointer hovers over an item. Possible values are
+# yes and no.
+#
+# (show-tooltips yes)
+
+# When enabled, menus can be torn off. Possible values are yes and no.
+#
+# (tearoff-menus yes)
+
+# When enabled, you can change keyboard shortcuts for menu items by hitting a
+# key combination while the menu item is highlighted. Possible values are
+# yes and no.
+#
+# (can-change-accels no)
+
+# Save changed keyboard shortcuts when GIMP exits. Possible values are yes
+# and no.
+#
+# (save-accels yes)
+
+# Restore saved keyboard shortcuts on each GIMP startup. Possible values are
+# yes and no.
+#
+# (restore-accels yes)
+
+# How many recently opened image filenames to keep on the File menu. This is
+# an integer value.
+#
+# (last-opened-size 10)
+
+# GIMP will warn the user if an attempt is made to create an image that would
+# take more memory than the size specified here. The integer size can
+# contain a suffix of 'B', 'K', 'M' or 'G' which makes GIMP interpret the
+# size as being specified in bytes, kilobytes, megabytes or gigabytes. If no
+# suffix is specified the size defaults to being specified in kilobytes.
+#
+# (max-new-image-size 128M)
+
+# Show the current foreground and background colors in the toolbox. Possible
+# values are yes and no.
+#
+# (toolbox-color-area yes)
+
+# Show the currently selected brush, pattern and gradient in the toolbox.
+# Possible values are yes and no.
+#
+# (toolbox-foo-area no)
+
+# Show the currently active image in the toolbox. Possible values are yes
+# and no.
+#
+# (toolbox-image-area no)
+
+# Show the GIMP mascot at the top of the toolbox. Possible values are yes
+# and no.
+#
+# (toolbox-wilber yes)
+
+# Sets the theme search path. This is a colon-separated list of folders to
+# search.
+#
+# (theme-path "${gimp_dir}/themes:${gimp_data_dir}/themes")
+
+# The name of the theme to use. This is a string value.
+#
+# (theme "Default")
+
+# When enabled, pressing F1 will open the help browser. Possible values are
+# yes and no.
+#
+# (use-help yes)
+
+# When enabled, dialogs will show a help button that gives access to the
+# related help page. Without this button, the help page can still be reached
+# by pressing F1. Possible values are yes and no.
+#
+# (show-help-button yes)
+
+# Specifies the language preferences used by the help system. This is a
+# colon-separated list of language identifiers with decreasing priority. If
+# empty, the language is taken from the user's locale setting. This is a
+# string value.
+#
+# (help-locales "")
+
+# Sets the browser used by the help system. Possible values are gimp and
+# web-browser.
+#
+(help-browser web-browser)
+
+# When enabled, the online user manual will be used by the help system.
+# Otherwise the locally installed copy is used. Possible values are yes and
+# no.
+#
+# (user-manual-online no)
+
+# The location of the online user manual. This is used if
+# 'user-manual-online' is enabled. This is a string value.
+#
+# (user-manual-online-uri "http://docs.gimp.org/2.8")
+
+# The window type hint that is set on dock windows and the toolbox window.
+# This may affect the way your window manager decorates and handles these
+# windows. Possible values are normal, utility and keep-above.
+#
+# (dock-window-hint utility)
+
+# Sets the pixel format to use for mouse pointers. Possible values are
+# bitmap and pixbuf.
+#
+# (cursor-format pixbuf)
+
+# Sets the handedness for cursor positioning. Possible values are left and
+# right.
+#
+# (cursor-handedness right)
+
+# Where to search for fractals used by the Fractal Explorer plug-in. This is
+# a colon-separated list of folders to search.
+#
+# (fractalexplorer-path "${gimp_dir}/fractalexplorer:${gimp_data_dir}/fractalexplorer")
+
+# Where to search for Gfig figures used by the Gfig plug-in. This is a
+# colon-separated list of folders to search.
+#
+# (gfig-path "${gimp_dir}/gfig:${gimp_data_dir}/gfig")
+
+# Where to search for gflares used by the GFlare plug-in. This is a
+# colon-separated list of folders to search.
+#
+# (gflare-path "${gimp_dir}/gflare:${gimp_data_dir}/gflare")
+
+# Where to search for data used by the Gimpressionist plug-in. This is a
+# colon-separated list of folders to search.
+#
+# (gimpressionist-path "${gimp_dir}/gimpressionist:${gimp_data_dir}/gimpressionist")
+
+# This path will be searched for scripts when the Script-Fu plug-in is run.
+# This is a colon-separated list of folders to search.
+#
+# (script-fu-path "${gimp_dir}/scripts:${gimp_data_dir}/scripts")
+
--- /dev/null
+# pixmap_path "<dir 1>:<dir 2>:<dir 3>:..."
+#
+# include "rc-file"
+#
+# style <name> [= <name>]
+# {
+# <option>
+# }
+#
+# widget <widget_set> style <style_name>
+# class <widget_class_set> style <style_name>
+#
+# You can add your own GIMP-specific GTK styles here.
+
+
+#
+# Adjust the size of previews in plug-in dialogs:
+#
+style "gimp-large-preview"
+{
+ GimpPreview::size = 256
+}
+
+# class "GimpPreview" style "gimp-large-preview"
--- /dev/null
+; gimp GtkAccelMap rc-file -*- scheme -*-
+;
+(gtk_accel_path "<Actions>/plug-in/file-print-gtk" "<Primary>p")
--- /dev/null
+# GIMP sessionrc
+#
+# This file takes session-specific info (that is info, you want to keep
+# between two GIMP sessions). You are not supposed to edit it manually, but
+# of course you can do. The sessionrc will be entirely rewritten every time
+# you quit GIMP. If this file isn't found, defaults are used.
+
+(session-info "dock" "gimp-toolbox-window"
+ (position 0 0)
+ (size 170 820)
+ (open-on-exit)
+ (gimp-toolbox
+ (book
+ (dockable "gimp-tool-options"
+ (tab-style automatic)))))
+(session-info "dock" "gimp-dock-window"
+ (position -0 0)
+ (size 210 820)
+ (open-on-exit)
+ (gimp-dock
+ (book
+ (dockable "gimp-layer-list"
+ (tab-style automatic))
+ (dockable "gimp-channel-list"
+ (tab-style automatic))
+ (dockable "gimp-vectors-list"
+ (tab-style automatic))
+ (dockable "gimp-undo-history"
+ (tab-style automatic)))
+ (book
+ (position 420)
+ (dockable "gimp-brush-grid"
+ (tab-style automatic))
+ (dockable "gimp-pattern-grid"
+ (tab-style automatic))
+ (dockable "gimp-gradient-list"
+ (tab-style automatic)))))
+(session-info "toplevel"
+ (factory-entry "gimp-empty-image-window")
+ (position 410 370)
+ (size 620 200))
+(session-info "toplevel"
+ (factory-entry "gimp-single-image-window")
+ (position 160 70)
+ (size 1140 780))
+
+# end of sessionrc
--- /dev/null
+# GIMP templates
+#
+# A collection of image templates.
+
+(GimpTemplate "640x480"
+ (width 640)
+ (height 480)
+ (unit pixels)
+ (xresolution 72.000000)
+ (yresolution 72.000000)
+ (resolution-unit inches)
+ (image-type rgb)
+ (fill-type background-fill))
+(GimpTemplate "800x600"
+ (width 800)
+ (height 600)
+ (unit pixels)
+ (xresolution 72.000000)
+ (yresolution 72.000000)
+ (resolution-unit inches)
+ (image-type rgb)
+ (fill-type background-fill))
+(GimpTemplate "1024x768"
+ (width 1024)
+ (height 768)
+ (unit pixels)
+ (xresolution 72.000000)
+ (yresolution 72.000000)
+ (resolution-unit inches)
+ (image-type rgb)
+ (fill-type background-fill))
+(GimpTemplate "1600x1200"
+ (width 1600)
+ (height 1200)
+ (unit pixels)
+ (xresolution 72.000000)
+ (yresolution 72.000000)
+ (resolution-unit inches)
+ (image-type rgb)
+ (fill-type background-fill))
+(GimpTemplate "A3 (300ppi)"
+ (width 3508)
+ (height 4960)
+ (unit millimeters)
+ (xresolution 300.000000)
+ (yresolution 300.000000)
+ (resolution-unit inches)
+ (image-type rgb)
+ (fill-type background-fill))
+(GimpTemplate "A4 (300ppi)"
+ (width 2480)
+ (height 3508)
+ (unit millimeters)
+ (xresolution 300.000000)
+ (yresolution 300.000000)
+ (resolution-unit inches)
+ (image-type rgb)
+ (fill-type background-fill))
+(GimpTemplate "A5 (300ppi)"
+ (width 1754)
+ (height 2480)
+ (unit millimeters)
+ (xresolution 300.000000)
+ (yresolution 300.000000)
+ (resolution-unit inches)
+ (image-type rgb)
+ (fill-type background-fill))
+(GimpTemplate "A6 (300ppi)"
+ (width 1240)
+ (height 1754)
+ (unit millimeters)
+ (xresolution 300.000000)
+ (yresolution 300.000000)
+ (resolution-unit inches)
+ (image-type rgb)
+ (fill-type background-fill))
+(GimpTemplate "B4 (300ppi)"
+ (width 2953)
+ (height 4169)
+ (unit millimeters)
+ (xresolution 300.000000)
+ (yresolution 300.000000)
+ (resolution-unit inches)
+ (image-type rgb)
+ (fill-type background-fill))
+(GimpTemplate "B5 (300ppi)"
+ (width 2079)
+ (height 2953)
+ (unit millimeters)
+ (xresolution 300.000000)
+ (yresolution 300.000000)
+ (resolution-unit inches)
+ (image-type rgb)
+ (fill-type background-fill))
+(GimpTemplate "B5-Japan (300ppi)"
+ (width 2150)
+ (height 3035)
+ (unit millimeters)
+ (xresolution 300.000000)
+ (yresolution 300.000000)
+ (resolution-unit inches)
+ (image-type rgb)
+ (fill-type background-fill))
+(GimpTemplate "US-Letter (300ppi)"
+ (width 2550)
+ (height 3300)
+ (unit inches)
+ (xresolution 300.000000)
+ (yresolution 300.000000)
+ (resolution-unit inches)
+ (image-type rgb)
+ (fill-type background-fill))
+(GimpTemplate "US-Legal (300ppi)"
+ (width 2550)
+ (height 4200)
+ (unit inches)
+ (xresolution 300.000000)
+ (yresolution 300.000000)
+ (resolution-unit inches)
+ (image-type rgb)
+ (fill-type background-fill))
+(GimpTemplate "Toilet paper (US, 300ppi)"
+ (stock-id "gimp-toilet-paper")
+ (width 1350)
+ (height 1350)
+ (unit inches)
+ (xresolution 300.000000)
+ (yresolution 300.000000)
+ (resolution-unit inches)
+ (image-type rgb)
+ (fill-type background-fill))
+(GimpTemplate "CD cover (300ppi)"
+ (stock-id "gtk-cdrom")
+ (width 1429)
+ (height 1417)
+ (unit millimeters)
+ (xresolution 300.000000)
+ (yresolution 300.000000)
+ (resolution-unit inches)
+ (image-type rgb)
+ (fill-type background-fill))
+(GimpTemplate "Floppy label (300ppi)"
+ (stock-id "gtk-floppy")
+ (width 825)
+ (height 825)
+ (unit millimeters)
+ (xresolution 300.000000)
+ (yresolution 300.000000)
+ (resolution-unit inches)
+ (image-type rgb)
+ (fill-type background-fill))
+(GimpTemplate "Web banner common 468x60"
+ (stock-id "gimp-web")
+ (width 468)
+ (height 60)
+ (unit pixels)
+ (xresolution 72.000000)
+ (yresolution 72.000000)
+ (resolution-unit inches)
+ (image-type rgb)
+ (fill-type background-fill))
+(GimpTemplate "Web banner huge 728x90"
+ (stock-id "gimp-web")
+ (width 728)
+ (height 90)
+ (unit pixels)
+ (xresolution 72.000000)
+ (yresolution 72.000000)
+ (resolution-unit inches)
+ (image-type rgb)
+ (fill-type background-fill))
+(GimpTemplate "PAL - 720x576"
+ (stock-id "gimp-video")
+ (width 720)
+ (height 576)
+ (unit pixels)
+ (xresolution 72.000000)
+ (yresolution 72.000000)
+ (resolution-unit inches)
+ (image-type rgb)
+ (fill-type background-fill))
+(GimpTemplate "NTSC - 720x486"
+ (stock-id "gimp-video")
+ (width 720)
+ (height 486)
+ (unit pixels)
+ (xresolution 72.000000)
+ (yresolution 72.000000)
+ (resolution-unit inches)
+ (image-type rgb)
+ (fill-type background-fill))
+
+# end of templates
--- /dev/null
+# GIMP unitrc
+# This file contains your user unit database. You can
+# modify this list with the unit editor. You are not
+# supposed to edit it manually, but of course you can do.
+# This file will be entirely rewritten every time
+# you quit GIMP.
+
+(unit-info "centimeters"
+ (factor 2.540000)
+ (digits 2)
+ (symbol "cm")
+ (abbreviation "cm")
+ (singular "centimeter")
+ (plural "centimeters"))
+
+(unit-info "meters"
+ (factor 0.025400)
+ (digits 4)
+ (symbol "m")
+ (abbreviation "m")
+ (singular "meter")
+ (plural "meters"))
+
+(unit-info "feet"
+ (factor 0.083333)
+ (digits 4)
+ (symbol "'")
+ (abbreviation "ft")
+ (singular "foot")
+ (plural "feet"))
+
+(unit-info "yards"
+ (factor 0.027778)
+ (digits 4)
+ (symbol "yd")
+ (abbreviation "yd")
+ (singular "yard")
+ (plural "yards"))
+
+(unit-info "typogr. points"
+ (factor 72.270000)
+ (digits 0)
+ (symbol "tpt")
+ (abbreviation "tpt")
+ (singular "typogr. point")
+ (plural "typogr. points"))
+
+(unit-info "typogr. picas"
+ (factor 6.022500)
+ (digits 1)
+ (symbol "tpc")
+ (abbreviation "tpc")
+ (singular "typogr. pica")
+ (plural "typogr. picas"))
--- /dev/null
+#!/bin/bash
+#
+# init script for the Ethernet Bridge filter tables
+#
+# Written by Dag Wieers <dag@wieers.com>
+# Modified by Rok Papez <rok.papez@arnes.si>
+# Bart De Schuymer <bdschuym@pandora.be>
+# Adapted to Debian by Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>
+#
+# chkconfig: - 15 85
+# description: Ethernet Bridge filtering tables
+#
+### BEGIN INIT INFO
+# Provides: ebtables
+# Required-Start:
+# Required-Stop:
+# Should-Start: $local_fs
+# Should-Stop: $local_fs
+# Default-Start: S
+# Default-Stop: 0 1 6
+# Short-Description: ebtables ruleset management
+# Description: Saves and restores the state of the ebtables rulesets.
+### END INIT INFO
+
+. /lib/lsb/init-functions
+
+test -f /sbin/ebtables || exit 0
+
+EBTABLES_DUMPFILE_STEM=/etc/ebtables
+
+RETVAL=0
+prog="ebtables"
+desc="Ethernet bridge filtering"
+umask 0077
+
+#default configuration
+EBTABLES_MODULES_UNLOAD="yes"
+EBTABLES_LOAD_ON_START="no"
+EBTABLES_SAVE_ON_STOP="no"
+EBTABLES_SAVE_ON_RESTART="no"
+EBTABLES_SAVE_COUNTER="no"
+EBTABLES_BACKUP_SUFFIX="~"
+
+config=/etc/default/$prog
+[ -f "$config" ] && . "$config"
+
+function get_supported_tables() {
+ EBTABLES_SUPPORTED_TABLES=
+ /sbin/ebtables -t filter -L 2>&1 1>/dev/null | grep -q permission
+ if [ $? -eq 0 ]; then
+ log_failure_msg "Error: insufficient privileges to access the ebtables rulesets."
+ return
+ fi
+ for table in filter nat broute; do
+ /sbin/ebtables -t $table -L &> /dev/null
+ if [ $? -eq 0 ]; then
+ EBTABLES_SUPPORTED_TABLES="${EBTABLES_SUPPORTED_TABLES} $table"
+ fi
+ done
+}
+
+function load() {
+ RETVAL=0
+ get_supported_tables
+ log_daemon_msg "Restoring ebtables rulesets"
+ for table in $EBTABLES_SUPPORTED_TABLES; do
+ log_progress_msg "$table"
+ if [ -s ${EBTABLES_DUMPFILE_STEM}.$table ]; then
+ /sbin/ebtables -t $table --atomic-file ${EBTABLES_DUMPFILE_STEM}.$table --atomic-commit
+ RET=$?
+ if [ $RET -ne 0 ]; then
+ log_progress_msg "(failed)"
+ RETVAL=$RET
+ fi
+ else
+ log_progress_msg "(no saved state)"
+ fi
+ done
+ if [ -z "$EBTABLES_SUPPORTED_TABLES" ]; then
+ log_progress_msg "no kernel support"
+ else
+ log_progress_msg "done"
+ fi
+ log_end_msg $RETVAL
+}
+
+function clear() {
+ RETVAL=0
+ get_supported_tables
+ log_daemon_msg "Clearing ebtables rulesets"
+ for table in $EBTABLES_SUPPORTED_TABLES; do
+ log_progress_msg "$table"
+ /sbin/ebtables -t $table --init-table
+ done
+
+ if [ "$EBTABLES_MODULES_UNLOAD" = "yes" ]; then
+ for mod in $(grep -E '^(ebt|ebtable)_' /proc/modules | cut -d' ' -f1) ebtables; do
+ rmmod $mod 2> /dev/null
+ done
+ fi
+ if [ -z "$EBTABLES_SUPPORTED_TABLES" ]; then
+ log_progress_msg "no kernel support"
+ else
+ log_progress_msg "done"
+ fi
+ log_end_msg $RETVAL
+}
+
+function save() {
+ RETVAL=0
+ get_supported_tables
+ log_daemon_msg "Saving ebtables rulesets"
+ for table in $EBTABLES_SUPPORTED_TABLES; do
+ log_progress_msg "$table"
+ [ -n "$EBTABLES_BACKUP_SUFFIX" ] && [ -s ${EBTABLES_DUMPFILE_STEM}.$table ] && \
+ mv ${EBTABLES_DUMPFILE_STEM}.$table ${EBTABLES_DUMPFILE_STEM}.$table$EBTABLES_BACKUP_SUFFIX
+ /sbin/ebtables -t $table --atomic-file ${EBTABLES_DUMPFILE_STEM}.$table --atomic-save
+ RET=$?
+ if [ $RET -ne 0 ]; then
+ log_progress_msg "(failed)"
+ RETVAL=$RET
+ else
+ if [ "$EBTABLES_SAVE_COUNTER" = "no" ]; then
+ /sbin/ebtables -t $table --atomic-file ${EBTABLES_DUMPFILE_STEM}.$table -Z
+ fi
+ fi
+ done
+ if [ -z "$EBTABLES_SUPPORTED_TABLES" ]; then
+ log_progress_msg "no kernel support"
+ else
+ log_progress_msg "done"
+ fi
+ log_end_msg $RETVAL
+}
+
+case "$1" in
+ start)
+ [ "$EBTABLES_LOAD_ON_START" = "yes" ] && load
+ ;;
+ stop)
+ [ "$EBTABLES_SAVE_ON_STOP" = "yes" ] && save
+ clear
+ # Never return failure for stop; it's not helpful, and causes problems
+ # in some cases during pkg upgrade, e.g. LP: #1774120
+ RETVAL=0
+ ;;
+ restart|reload|force-reload)
+ [ "$EBTABLES_SAVE_ON_RESTART" = "yes" ] && save
+ clear
+ [ "$EBTABLES_LOAD_ON_START" = "yes" ] && load
+ ;;
+ load)
+ load
+ ;;
+ save)
+ save
+ ;;
+ status)
+ get_supported_tables
+ if [ -z "$EBTABLES_SUPPORTED_TABLES" ]; then
+ log_failure_msg "No kernel support for ebtables."
+ RETVAL=1
+ else
+ log_daemon_msg "Ebtables support available, number of installed rules"
+ for table in $EBTABLES_SUPPORTED_TABLES; do
+ COUNT=$(( $(/sbin/ebtables -t $table -L | sed -e "/^Bridge chain/! d" -e "s/^.*entries: //" -e "s/,.*$/ +/") 0 ))
+ log_progress_msg "$table($COUNT)"
+ done
+ log_end_msg 0
+ RETVAL=0
+ fi
+ ;;
+ *)
+ echo "Usage: $0 {start|stop|restart|reload|force-reload|load|save|status}" >&2
+ RETVAL=1
+esac
+
+exit $RETVAL
application/x-spkac; /usr/bin/gcr-viewer %s; test=test -n "$DISPLAY"
application/x-spkac+base64; /usr/bin/gcr-viewer %s; test=test -n "$DISPLAY"
application/vnd.debian.binary-package; gdebi-gtk %s; test=test -n "$DISPLAY"
+image/bmp; gimp-2.8 %s; test=test -n "$DISPLAY"
+image/g3fax; gimp-2.8 %s; test=test -n "$DISPLAY"
+image/gif; gimp-2.8 %s; test=test -n "$DISPLAY"
+image/x-fits; gimp-2.8 %s; test=test -n "$DISPLAY"
+image/x-pcx; gimp-2.8 %s; test=test -n "$DISPLAY"
+image/x-portable-anymap; gimp-2.8 %s; test=test -n "$DISPLAY"
+image/x-portable-bitmap; gimp-2.8 %s; test=test -n "$DISPLAY"
+image/x-portable-graymap; gimp-2.8 %s; test=test -n "$DISPLAY"
+image/x-portable-pixmap; gimp-2.8 %s; test=test -n "$DISPLAY"
+image/x-psd; gimp-2.8 %s; test=test -n "$DISPLAY"
+image/x-sgi; gimp-2.8 %s; test=test -n "$DISPLAY"
+image/x-tga; gimp-2.8 %s; test=test -n "$DISPLAY"
+image/x-xbitmap; gimp-2.8 %s; test=test -n "$DISPLAY"
+image/x-xwindowdump; gimp-2.8 %s; test=test -n "$DISPLAY"
+image/x-xcf; gimp-2.8 %s; test=test -n "$DISPLAY"
+image/x-compressed-xcf; gimp-2.8 %s; test=test -n "$DISPLAY"
+image/x-gimp-gbr; gimp-2.8 %s; test=test -n "$DISPLAY"
+image/x-gimp-pat; gimp-2.8 %s; test=test -n "$DISPLAY"
+image/x-gimp-gih; gimp-2.8 %s; test=test -n "$DISPLAY"
+image/tiff; gimp-2.8 %s; test=test -n "$DISPLAY"
+image/jpeg; gimp-2.8 %s; test=test -n "$DISPLAY"
+image/x-psp; gimp-2.8 %s; test=test -n "$DISPLAY"
+application/postscript; gimp-2.8 %s; test=test -n "$DISPLAY"
+image/png; gimp-2.8 %s; test=test -n "$DISPLAY"
+image/x-icon; gimp-2.8 %s; test=test -n "$DISPLAY"
+image/x-xpixmap; gimp-2.8 %s; test=test -n "$DISPLAY"
+image/svg+xml; gimp-2.8 %s; test=test -n "$DISPLAY"
+application/pdf; gimp-2.8 %s; test=test -n "$DISPLAY"
+image/x-wmf; gimp-2.8 %s; test=test -n "$DISPLAY"
+image/x-xcursor; gimp-2.8 %s; test=test -n "$DISPLAY"
application/x-cd-image; gnome-disk-image-mounter %s; test=test -n "$DISPLAY"
application/x-raw-disk-image; gnome-disk-image-mounter %s; test=test -n "$DISPLAY"
application/x-cd-image; gnome-disks --restore-disk-image %s; test=test -n "$DISPLAY"
--- /dev/null
+../init.d/ebtables
\ No newline at end of file
--- /dev/null
+../init.d/ebtables
\ No newline at end of file
--- /dev/null
+../init.d/ebtables
\ No newline at end of file
--- /dev/null
+../init.d/ebtables
\ No newline at end of file
--- /dev/null
+/lib/systemd/system/ebtables.service
\ No newline at end of file